package com.jz.dm.mall.moduls.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.jz.dm.mall.moduls.entity.MallCustomer;
import com.jz.dm.mall.moduls.mapper.MallCustomerDao;
import com.jz.dm.mall.moduls.service.MallCustomerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 商城用户(TMallCustomer)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
@Service("mallCustomerService")
public class MallCustomerServiceImpl implements MallCustomerService {
    @Autowired
    private MallCustomerDao tMallCustomerDao;

    /**
     * 通过用户账号进行查询
     *
     * @param username
     * @return
     */
    @Override
    public MallCustomer selectByAccount(String username) {

        return tMallCustomerDao.selectByAccount(username);
    }

    /**
     * 通过手机号进行查询
     *
     * @param username
     * @return
     */
    @Override
    public MallCustomer selectByPhone(String username) {
        return tMallCustomerDao.selectByPhone(username);
    }


}